﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MotorDriver : MonoBehaviour
{
    /* public MotorDriver motorDriver; */
    public int Angle0, Angle1;
    public bool motor_ang = false;

    float waitTime;

    // ------------------------------------ // 
    //
    public bool debugSwitch = false;
	public ThreadSerialCommunication SC;

    ArduinoData arduinoData;

    float dt = 0f;

    private float active_magnitude;
    private int servo_angle = 0;
    private bool motor_flag = true;
    private string run_cmd = "M";
    private string stop_cmd = "N";
    private string cmd;

    // Start is called before the first frame update
    void Start() {
        cmd = stop_cmd;
    }

    void Update()
    {
        dt = Time.deltaTime;
        if (motor_ang)
        {
            servo_angle = Angle1;
        }
        else
        {
            servo_angle = Angle0;
        }

        if (motor_flag)
        {
            cmd = run_cmd + servo_angle.ToString();
            ControlMotor(cmd);
        } else {
            servo_angle = 90;
            cmd = run_cmd + servo_angle.ToString();
            ControlMotor(cmd);
        }
    }

    void ControlMotor(string cmd) {
        string output_cmd;
        /* string output_cmd = "T1"; */
        /* arduinoData = SC.latestArduinoData; */
        /* motor_flag = debugSwitch & pin2; */
        /* if (motor_flag) { */
        /*     Debug.Log("RUN MOTOR"); */
        /* } else { */
        /*     Debug.Log("STOP MOTOR"); */
        /* } */

        /* output_cmd = output_cmd + cmd; */
        Debug.Log(cmd);
        output_cmd = cmd + '\0';
        SC.EnqueueOutput(output_cmd);
    }
    }

