﻿/* Author:	Raymond Chia
 * Date:	19/01/2018
 * Summary:	This script in inteded to allow the user to move around the map
 * */

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerController : MonoBehaviour {
	public float speed = 10.0f;
	// Use this for initialization
	void Start () {
		Cursor.lockState = CursorLockMode.Locked; // Keep the cursor within the window
	}
	
	// Update is called once per frame
	void Update () {
		float moveVertical = Input.GetAxis ("Vertical");
		float moveHorizontal = Input.GetAxis ("Horizontal");
		Vector3 movement = new Vector3 (moveHorizontal, moveVertical, 0.0f);
		movement *= (speed * Time.deltaTime);

		transform.Translate (movement);
		//transform.TransformDirection (movement);

		if (Input.GetKeyDown("escape")) {
			Cursor.lockState = CursorLockMode.None;
		}
	}
}