﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TriggerBoundary : MonoBehaviour
{
    public bool ColliderIsTriggered { get; private set; }

    private float time;
    
    void Start()
    {
        ColliderIsTriggered = false;
        time = 0.0f;
    }

    void OnTriggerStay2D(Collider2D collider)
    {
        ColliderIsTriggered = true;
        time += Time.deltaTime;
    }

    void OnTriggerExit2D()
    {
        ColliderIsTriggered = false;
        time = 0.0f;
    }

    public float GetStayTime()
    {
        return time;
    }
}
